KParts::WindowArgs Struct Reference

`#include <browserextension.h>`

## Public Member Functions

| WindowArgs (const WindowArgs &args)
WindowArgs & | operator= (const WindowArgs &args)
| WindowArgs (const QRect &_geometry, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)
| WindowArgs (int _x, int _y, int _width, int _height, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)

## Public Attributes

int | x
int | y
int | width
int | height
bool | fullscreen
bool | menuBarVisible
bool | toolBarsVisible
bool | statusBarVisible
bool | resizable
bool | lowerWindow
bool | scrollBarsVisible
WindowArgsPrivate * | d

## Detailed Description

The WindowArgs are used to specify arguments to the "create new window" call (see the createNewWindow variant that uses WindowArgs).

The primary reason for this is the javascript window.open function.

Definition at line 184 of file browserextension.h.

The documentation for this struct was generated from the following files:

- browserextension.h
- browserextension.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys